Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.m12n
[Java] Class MetaInfExtensionModule

    java.lang.Object
      org.codehaus.groovy.runtime.m12n.ExtensionModule
          org.codehaus.groovy.runtime.m12n.SimpleExtensionModule
              org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule

    public class MetaInfExtensionModule
    extends SimpleExtensionModule

A SimpleExtensionModule implementation which reads extension classes metadata from META-INF.

Authors:
  Cedric Champeau

Since:
  2.0.0

Field Summary
`static java.lang.String` | `MODULE_INSTANCE_CLASSES_KEY`
`static java.lang.String` | `MODULE_STATIC_CLASSES_KEY`

Method Summary
`java.util.List` | `getInstanceMethodsExtensionClasses()`
`java.util.List` | `getStaticMethodsExtensionClasses()`
`static MetaInfExtensionModule` | `newModule(java.util.Properties properties, java.lang.ClassLoader loader)`

Methods inherited from class SimpleExtensionModule
getInstanceMethodsExtensionClasses, getMetaMethods, getStaticMethodsExtensionClasses

Methods inherited from class ExtensionModule
getMetaMethods, getName, getVersion

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### MODULE_INSTANCE_CLASSES_KEY

    public static final java.lang.String MODULE_INSTANCE_CLASSES_KEY

### MODULE_STATIC_CLASSES_KEY

    public static final java.lang.String MODULE_STATIC_CLASSES_KEY

Method Detail

### getInstanceMethodsExtensionClasses

    @Override
    public java.util.List getInstanceMethodsExtensionClasses()

### getStaticMethodsExtensionClasses

    @Override
    public java.util.List getStaticMethodsExtensionClasses()

### newModule

    public static MetaInfExtensionModule newModule(java.util.Properties properties, java.lang.ClassLoader loader)

Groovy Documentation